hp-check-plugin(1)

NAME
hp-check-plugin - AutoConfig Utility for Plug-in Installation

DESCRIPTION
Auto config utility for HPLIP supported multifunction Devices for installing proprietary plug-ins.

SYNOPSIS
hp-check-plugin [OPTIONS] [USB bus:device]

OPTIONS

Install Plug-in through HP System Tray:
    -m (Default)

Install Plug-in through hp-plugin:
    -p

Download firmware into the device:
    -f

This help information:
    -h or --help

Set the logging level:
    -l<level> or --logging=<level> <level>: none, info*, error, warn, debug (*default)

Run in debug mode:
    -g (same as option: -ldebug)

EXAMPLES

Install plugin:
    $hp-check-plugin 001:002

Install plugin and firmware:
    $hp-check-plugin -f 001:002

NOTES

-m and -p options can't be used together.

AUTHOR
HPLIP (HP Linux Imaging and Printing) is an HP developed solution for printing, scanning, and faxing with HP inkjet and laser based printers in Linux.

REPORTING BUGS
The HPLIP Launchpad.net site https://launchpad.net/hplip is available to get help, report bugs, make suggestions, discuss the HPLIP project or otherwise contact the HPLIP Team.

COPYRIGHT
Copyright (c) 2001-18 HP Development Company, L.P.

This software comes with ABSOLUTELY NO WARRANTY. This is free software, and you are welcome to distribute it under certain conditions. See COPYING file for more details.